---
title: "Create case for New Business"
url: "https://developers.zinnia.com/apis/new-business/versions/b8532e16-b28e-4393-9305-def50b91e40e/paths/newbusiness-v2-application-eAppId/post"
---

> Full API specification: https://developers.zinnia.com/apis/new-business/versions/b8532e16-b28e-4393-9305-def50b91e40e.md

# Create case for New Business

`POST` `/newbusiness/v2/application/{eAppId}`

## Path parameters

- `eAppId` (string, required)

## Request body (required)

Content types: `application/json`

## Responses

- `201` - Case Created
- `400` - Bad request
- `401` - Authentication failed
- `403` - Access denied
- `500` - Server error

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia New Business API.
  version: 0.9.8
servers:
  - url: https://qa.api.zinnia.io
    description: QA Environment
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://uat.api.zinnia.io
    description: UAT Environment
  - url: https://api.zinnia.io
    description: PROD Environment
paths:
  /newbusiness/v2/application/{eAppId}:
    post:
      tags:
        - New Business Transactions V2
      summary: Create case for New Business
      parameters:
        - name: eAppId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        description: Required to submit case before submit new business documents /
          application
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/CreateCaseRequest"
        required: true
      responses:
        "201":
          description: Case Created
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CaseSuccessResponse"
              examples:
                NewBusiness:
                  value:
                    caseId: CA000000456
                    correlationId: 2ad51ecf-9923-437f-a6f0-70968e464cdb
                    eappId: 2ad51ecf-9923-437f-a6f0-70968e464cdb
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationResponse"
        "401":
          description: Authentication failed
          content:
            application/json:
              examples:
                NewBusiness:
                  value:
                    message: Unauthorized
        "403":
          description: Access denied
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/AccessDeniedResponse"
        "500":
          description: Server error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ServerErrorResponse"
      security:
        - Auth0: []
      x-kong-plugin-pre-function:
        config:
          access:
            - |
              local path = kong.request.get_path()
              kong.service.request.set_path("/bpm" .. path)
security:
  - Auth0: []
components:
  schemas:
    CreateCaseRequest:
      type: object
      properties:
        planCode:
          type: string
          description: Product code
          example: ABC001
      required:
        - eappId
        - planCode
    CaseSuccessResponse:
      type: object
      properties:
        caseId:
          type: string
          example: CA000000536
        correlationId:
          type: string
          example: 15ea7582-262f-4dfe-8a60-1e8b8e763fd4
        eappId:
          type: string
          example: 15ea7582-262f-4dfe-8a60-1e8b8e763fd4
    ValidationResponse:
      type: object
      properties:
        status:
          type: string
          example: FAILED
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: Bad Request
        error:
          type: array
          items:
            type: string
            example: Mandatory attribute label missing
    AccessDeniedResponse:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: "User is not authorized for the carrier : CarrierName_1"
    ServerErrorResponse:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: Failed to process request
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.dev.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://dev.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://dev.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
